/*
 * Copyright 2005 Berend "Kirk" Wouda
 * 
 * This file is part of WDYS'd V.
 * 
 * WDYS'd V is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * WDYS'd V is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with WDYS'd V; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


// This isn't really a system class...
package com.kirkwarez.kirkpack.io.eoa.wdysv;

// Import the IO classes.
import java.io.*;

// Import the parent filter.
import com.kirkwarez.kirkpack.io.filter.file.ExtensionFileFilter;

/**
 * This class is used for filtering out MYST V WDYS files when using
 * <code>java.io.File.listFiles(java.io.FileFilter)</code> or other things requiring
 * file filters.
 * 
 * @author Berend "Kirk" Wouda
 * @version 3.00
 * @since 3.00
 * @see java.io.File
 */
public class WDYSVFileFilter extends ExtensionFileFilter implements FileFilter {
	/**
	 * Constructs a MYST V WDYS file filter.
	 */
	public WDYSVFileFilter() {
		// Call the super constructor with the EOA WDYS file extensions.
		super(new String[]{
			"fni", "pak", "age", "sdl", "sub", "node", 
		});
	}
}