/*
 * Copyright 2005 Berend "Kirk" Wouda
 * 
 * This file is part of WDYS'd V.
 * 
 * WDYS'd V is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * WDYS'd V is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with WDYS'd V; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


// The main class is a system class.
package com.kirkwarez.wdysdv.system;

// Import the GUI.
import com.kirkwarez.wdysdv.gui.WVFrame;

/**
 * <p>This is the main class of the WDYS'd V program. WDYS'd V is a descendant of
 * WhatDoYouSee'd, a program that could encrypt and decrypt Uru WDYS files.</p>
 * 
 * <p>WDYS'd V can encrypt and decrypt Uru's encrypted files and Myst V's encrypted
 * files. It sports a batch mode, and an in-program text editor that allows saving in
 * encrypted or decrypted mode directly. It works on any Java supporting platform.</p>
 * 
 * <p>The 5.00 version of WDYS'd V comes with KirkPack classes builtin. This is because
 * they are a newer version of KirkPack that is still not out yet :^P</p>
 * @author Berend "Kirk" Wouda
 * @version 5.00
 * @since 5.00
 */
public class WDYSdV {
	/**
	 * Starts the program. There are no commandline options available as of yet.
	 * 
	 * @param args Commandline options.
	 */
	public static void main(String[] args) {
		// Make the GUI.
		new WVFrame();
	}
}